function varargout=alldemos(varargin)
  p = inputParser; 
  p.KeepUnmatched=true; 
  p.addParamValue('stop',false,@islogical);
  p.addParamValue('save',false,@islogical);
  p.addParamValue('savedir','./figures',@ischar);
  p.addParamValue('pause',2,@isscalar);
  p.addParamValue('distribute',true,@islogical);
  p.parse(varargin{:});
  R=p.Results;
  
  SaveOptions={'format','png', 'dir',R.savedir,'tag',true,'verbose',true};

  List={'plotmesh2D','plotmesh3D','plotmesh3Ds', ...
        'plot2D','plot3D','plot3Ds', ...
        'plotiso2D','plotiso3D','plotiso3Ds', ...
        'slicemesh','slice','sliceiso', ...
        'plotquiver2D','plotquiver3D','plotquiver3Ds'};
        
  if ~exist(R.savedir,'dir') & R.save
    [success,message,messageid]=mkdir(R.savedir);
    if ~success,error(message);end
  end
            
  nL=length(List);
  valid=ones(1,nL);
  for i=1:nL
    command=sprintf('fc_siplt.demos.%s()',List{i});
    fprintf('[fc-siplt] Running %s\n',command)
    try 
      eval(command)
    catch
      valid(i)=0;
      if R.stop
        error('[fc-siplt] Stop! running %s FAILED!\n',command)
      else
        warning('[fc-siplt] Running %s FAILED!\n',command)
        
      end
    end
    if R.distribute
      fc_tools.graphics.DisplayFigures();
      pause(R.pause)
    end
    if R.save
      fc_tools.graphics.SaveAllFigsAsFiles(List{i},SaveOptions{:})
    end
  end
  if nargout==1,varargout{1}=valid;end
end
